Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037740
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2018-01-26 15:532018-02-22 18:19
ReporteralostaleView Statuspublic 
Assigned Tojarmendariz 
PrioritynormalResolutionopenFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision7fce01d9f43d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037740: support custom error pages

DescriptionIt is possible to define custom error pages for invalid requests at web.xml level. If this is not configured, Tomcat will serve it's own default one.

Openbravo generates web.xml, and it does not support to define a customized error page.
Steps To ReproduceTry to open an invalid page, ie.: http://localhost:8080/openbravo/dummy [^]
-> Check the error page is the standard Tomcat's one and it cannot be customized
Proposed SolutionDocumentation: http://wiki.openbravo.com/wiki/Model_Object_Mapping#Error_Pages [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00378133.0PR18Q1.1 closedjarmendariz support custom error pages 
depends on backport 00378143.0PR17Q4.2 closedjarmendariz support custom error pages 
depends on defect 0037907 closedjarmendariz Internal CSS are included in AD_TextInterface as translatable content 
related to defect 0037883 closedjarmendariz Modify the clean cache page to match the generic error page style 
related to defect 0038150 closedjarmendariz Adjust default error page to mobile devices 

-  Notes
(0102416)
hgbot (developer)
2018-02-14 18:47

Repository: erp/devel/pi
Changeset: 7fce01d9f43d1225cf04ccc310f590a884e44c1c
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Feb 14 18:43:34 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7fce01d9f43d1225cf04ccc310f590a884e44c1c [^]

Fixed issue 37740: Support custom error pages

---
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_PARA.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-wad/src/org/openbravo/wad/Wad.java
M src-wad/src/org/openbravo/wad/Wad_data.xsql
M src-wad/src/org/openbravo/wad/web.xml
M src-wad/src/org/openbravo/wad/webConf.xml
A src/org/openbravo/erpCommon/security/Error.html
---
(0102421)
hgbot (developer)
2018-02-15 08:47

Repository: erp/devel/pi
Changeset: fa213c8bee5bbf587e0d626a8c36b0b68364a26a
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Thu Feb 15 08:47:13 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/fa213c8bee5bbf587e0d626a8c36b0b68364a26a [^]

Related to issue 37740: Support custom error pages

Adding missing AD_TextInterface update

---
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
---
(0102457)
caristu (developer)
2018-02-16 09:38

Reopened. See: https://docs.google.com/spreadsheets/d/18l2biKWeG6iGDIPqO6VuYQ_TtP_6YxyQU4KSrPvQlJ8/edit#gid=0 [^]
(0102534)
hgbot (developer)
2018-02-20 17:30

Repository: erp/devel/pi
Changeset: 61c59ba769d5d848ba9d2d20531f343cfab5d728
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Tue Feb 20 13:39:26 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/61c59ba769d5d848ba9d2d20531f343cfab5d728 [^]

related to issue 37740: code review improvements

  - Extracting common functionality to display error code and exception type pages using a single Sqlc method
  - Extracted getBaseDesignFolder to get the base design folder just once
  - Add log info in error page generation in web.xml
  - Other minor code improvements

---
M src-wad/src/org/openbravo/wad/Wad.java
M src-wad/src/org/openbravo/wad/Wad_data.xsql
M src-wad/src/org/openbravo/wad/web.xml
M src-wad/src/org/openbravo/wad/webConf.xml
---
(0102546)
hgbot (developer)
2018-02-21 10:54

Repository: erp/devel/pi
Changeset: ef34142891ad4c839a89fceab4701dc556541f71
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Feb 21 10:52:41 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ef34142891ad4c839a89fceab4701dc556541f71 [^]

Related to issue 37740: Fixed potential issues

- Inserting a null value for both error-code and exception-type could lead to a crash at startup.
- Error codes are validated
- Fixed formatting

---
M src-wad/src/org/openbravo/wad/Wad.java
M src-wad/src/org/openbravo/wad/Wad_data.xsql
M src-wad/src/org/openbravo/wad/webConf.xml
---
(0102549)
hgbot (developer)
2018-02-21 11:56

Repository: erp/devel/pi
Changeset: 06df5c50e82a77997992b15ff05db70cec71ab4d
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Feb 21 11:56:08 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/06df5c50e82a77997992b15ff05db70cec71ab4d [^]

Related to issue 37740: Add missing order by clauses

---
M src-wad/src/org/openbravo/wad/Wad_data.xsql
---
(0102557)
caristu (developer)
2018-02-21 13:09

Code reviewed + tested OK.

Documented here: http://wiki.openbravo.com/wiki/Model_Object_Mapping#Error_Pages [^]
(0102761)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102762)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102782)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102783)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test
(0102785)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-01-26 15:53 alostale New Issue
2018-01-26 15:53 alostale Assigned To => platform
2018-01-26 15:53 alostale Modules => Core
2018-01-26 15:53 alostale Triggers an Emergency Pack => No
2018-02-02 07:35 alostale Status new => acknowledged
2018-02-02 07:36 alostale Status acknowledged => scheduled
2018-02-02 07:36 alostale Assigned To platform => jarmendariz
2018-02-12 11:38 jarmendariz Relationship added related to 0037883
2018-02-14 09:25 caristu Relationship added depends on 0037907
2018-02-14 10:17 caristu Relationship deleted depends on 0037907
2018-02-14 10:17 caristu Relationship added related to 0037907
2018-02-14 13:49 jarmendariz Relationship replaced depends on 0037907
2018-02-14 18:43 jarmendariz Review Assigned To => alostale
2018-02-14 18:47 hgbot Checkin
2018-02-14 18:47 hgbot Note Added: 0102416
2018-02-14 18:47 hgbot Status scheduled => resolved
2018-02-14 18:47 hgbot Resolution open => fixed
2018-02-14 18:47 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7fce01d9f43d1225cf04ccc310f590a884e44c1c [^]
2018-02-15 08:47 hgbot Checkin
2018-02-15 08:47 hgbot Note Added: 0102421
2018-02-16 09:01 alostale Review Assigned To alostale => caristu
2018-02-16 09:02 alostale Proposed Solution updated
2018-02-16 09:38 caristu Note Added: 0102457
2018-02-16 09:38 caristu Status resolved => new
2018-02-16 09:38 caristu Resolution fixed => open
2018-02-19 08:24 jarmendariz Status new => scheduled
2018-02-20 17:30 hgbot Checkin
2018-02-20 17:30 hgbot Note Added: 0102534
2018-02-21 10:54 hgbot Checkin
2018-02-21 10:54 hgbot Note Added: 0102546
2018-02-21 11:56 hgbot Checkin
2018-02-21 11:56 hgbot Note Added: 0102549
2018-02-21 13:08 caristu Status scheduled => resolved
2018-02-21 13:09 caristu Note Added: 0102557
2018-02-21 13:09 caristu Status resolved => closed
2018-02-21 13:09 caristu Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102761
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102762
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102782
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102783
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102785
2018-03-23 13:39 alostale Relationship added related to 0038150


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker